using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace WindowsFormsApp1
{
    class ListadoEmpresas
    {
        [JsonProperty("page")]
        public int mnNumPagina { get; set; }

        [JsonProperty("numberOfPages")]
        public int mnTotalPaginas { get; set; }

        [JsonProperty("numberOfItems")]
        public int mnTotalRegistros { get; set; }

        [JsonProperty("itemsPerPage")]
        public int mnNumRegistrosPagina { get; set; }

        [JsonProperty("items")]
        public List<FichaEmpresa> moObjetos { get; set; }
    }

    class FichaEmpresa
    {
        [JsonProperty("key")]
        public string msKeyElemento { get; set; }

        [JsonProperty("codCliente")]
        public string msCodCliente { get; set; }

        [JsonProperty("sufijo")]
        public string msSufijo { get; set; }

        [JsonProperty("cif")]
        public string msCif { get; set; }

        [JsonProperty("nombre")]
        public string msNombre { get; set; }

        [JsonProperty("nombreComercial")]
        public string msNombreComercial { get; set; }

        [JsonProperty("respComercial")]
        public string msResponsable_Comercial { get; set; }

        [JsonProperty("respTecnico")]
        public string msResponsable_Tecnico { get; set; }

        [JsonProperty("respMedico")]
        public string msResponsable_Medico { get; set; }

        [JsonProperty("respAdministrativo")]
        public string msResponsable_Administrativo { get; set; }

        [JsonProperty("numTrabs")]
        public int mnNumTrabajadores { get; set; }

        [JsonProperty("fAltaPrev")]
        public DateTime mdFechaAlta_Prevencion { get; set; }

        [JsonProperty("fAltaSalud")]
        public DateTime mdFechaAlta_Salud { get; set; }

        [JsonProperty("bajaPrev")]
        public bool mbBaja_Prevencion { get; set; }

        [JsonProperty("bajaSalud")]
        public bool mbBaja_Salud { get; set; }

        [JsonProperty("cancelada")]
        public bool mbCancelada { get; set; }

        [JsonProperty("grupoAct")]
        public string msGrupoActividad { get; set; }

        [JsonProperty("sectorEmp")]
        public string msSectorEmp { get; set; }

        [JsonProperty("colaboradorCif")]
        public string msColaborador_Cif { get; set; }

        [JsonProperty("colaborador")]
        public string msColaborador { get; set; }

        [JsonProperty("dirPostal_Direccion")]
        public string msDirPostal_Direccion { get; set; }

        [JsonProperty("dirPostal_Localidad")]
        public string msDirPostal_Localidad { get; set; }

        [JsonProperty("dirPostal_Provincia")]
        public string msDirPostal_Provincia { get; set; }

        [JsonProperty("dirPostal_CodPostal")]
        public string msDirPostal_CodPostal { get; set; }

        [JsonProperty("dirFiscal_Direccion")]
        public string msDirFiscal_Direccion { get; set; }

        [JsonProperty("dirFiscal_Localidad")]
        public string msDirFiscal_Localidad { get; set; }

        [JsonProperty("dirFiscal_Provincia")]
        public string msDirFiscal_Provincia { get; set; }

        [JsonProperty("dirFiscal_CodPostal")]
        public string msDirFiscal_CodPostal { get; set; }

        [JsonProperty("telefono1")]
        public string msTelefono1 { get; set; }

        [JsonProperty("telefono2")]
        public string msTelefono2 { get; set; }

        [JsonProperty("fax")]
        public string msFax { get; set; }

        [JsonProperty("email")]
        public string msEmail { get; set; }

        [JsonProperty("personaContacto")]
        public string msPersonaContacto { get; set; }

        [JsonProperty("representante")]
        public string msRepresentante { get; set; }

        [JsonProperty("representanteDni")]
        public string msRepresentanteDni { get; set; }

        [JsonProperty("numSS")]
        public string msSS { get; set; }
    }
}
